/***************************************************************************************************/
/*script in Sql, generate by SdmCreateScript 2024(by IdgValue, qihang.feng@idgvalue.COM)     */
/*VERSION 01.10 revised on 2020-08-25                                                              */
/*Brilliance stems from wisdoms.                                                                   */
/*************Head Section**************************************************************************/
/*Script Use: Periodically load data to :t01_ccc_chat_message_detail(smartccc会话消息详情)             */
/*Create Date:2025-02-14 12:09:18                                                                  */
/*SDM Developed By: dev                                                                            */
/*SDM Developed Date: 2024-07-19                                                                   */
/*SDM Checked By: dev                                                                              */
/*SDM Checked Date: 2025-02-14                                                                     */
/*Script Developed By: dev                                                                         */
/*Script Checked By: dev                                                                           */
/*Source table 1: p10_sa.s98_s_tr_chat_messages_new                                                */
/*Job Type: Inbound transform (Tier 1 to Tier 2)                                                   */
/*Target Table:t01_ccc_chat_message_detail                                                         */
/*ETL Job Name:t01_ccc_chat_message_detail                                                         */
/*ETL Frequency:Daily                                                                              */
/*ETL Policy:I                                                                                     */
/********************************************************************************************/
/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on



/*创建临时表加载当前数据                                                                           */
CREATE TEMPORARY TABLE t01_ccc_chat_message_detail_agi_CUR_I 
 ( LIKE :PDMDB.t01_ccc_chat_message_detail)
ON COMMIT PRESERVE ROWS;

 
/*****************************************************************************************************/
/* GROUP 1:Source Table:s98_s_tr_chat_messages_new****************************************************/
/*****************************************************************************************************/
INSERT INTO t01_ccc_chat_message_detail_agi_CUR_I (
            message_unique_id                       /* 消息编号*/
           ,chat_unique_id                          /*在线客服会话ID*/
           ,sender_id                               /*消息发送方ID*/
           ,sender_name                             /*消息发送方名称*/
           ,sender_type                             /*消息发送方类型*/
           ,message_type                            /*消息类型*/
           ,content                                 /*消息内容*/
           ,file_address                            /*文件的地址*/
           ,file_name                               /*文件名称*/
           ,file_url                                /*文件访问路径*/
           ,send_status                             /*消息发送状态*/
           ,sensitive_word                          /*敏感词*/
           ,create_time                             /*消息创建时间戳*/
           ,Etl_Batch_No                            /*作业批次号*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Job                                 /*作业名称*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Src_Sysname                             /*来源系统*/
           ,Src_Table                               /*来源表*/
        )
SELECT
         COALESCE(TRIM(CAST(p0.detail_unique_id AS varchar(50))),'')        /*message_unique_id*/
        ,COALESCE(TRIM(CAST(p0.main_unique_id AS varchar(50))),'')        /*chat_unique_id*/
        ,COALESCE(TRIM(CAST(p0.sender AS varchar(50))),'')         /*sender_id*/
        ,COALESCE(TRIM(CAST(p0.sender_name AS varchar(50))),'')        /*sender_name*/
        ,COALESCE(TRIM(CAST(p0.send_type_name AS varchar(10))),'')        /*sender_type*/
        ,COALESCE(TRIM(CAST(p0.message_type_name AS varchar(10))),'')        /*message_type*/
        ,COALESCE(TRIM(p0.content),'')                             /*content*/
        ,COALESCE(TRIM(p0.file_key),'')                            /*file_address*/
        ,COALESCE(TRIM(CAST(p0.file_name AS varchar(100))),'')        /*file_name*/
        ,COALESCE(TRIM(p0.file_url),'')                            /*file_url*/
        ,''                                                        /*send_status*/
        ,''                                                        /*sensitive_word*/
        ,to_timestamp(p0.create_time::bigint/1000)::timestamp(0)        /*create_time*/
        ,0                                                         /*Etl_Batch_No*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,Substr('s98_s_tr_chat_messages_new',1,3)                  /*Src_Sysname*/
        ,'s98_s_tr_chat_messages_new'                              /*Src_Table*/
        
FROM p10_sa.s98_s_tr_chat_messages_new  p0
;



INSERT INTO :PDMDB.t01_ccc_chat_message_detail (
            message_unique_id                                         /* 消息编号*/
            ,chat_unique_id                                            /*在线客服会话ID*/
            ,sender_id                                                 /*消息发送方ID*/
            ,sender_name                                               /*消息发送方名称*/
            ,sender_type                                               /*消息发送方类型*/
            ,message_type                                              /*消息类型*/
            ,content                                                   /*消息内容*/
            ,file_address                                              /*文件的地址*/
            ,file_name                                                 /*文件名称*/
            ,file_url                                                  /*文件访问路径*/
            ,send_status                                               /*消息发送状态*/
            ,sensitive_word                                            /*敏感词*/
            ,create_time                                               /*消息创建时间戳*/
            ,Etl_Batch_No                                              /*作业批次号*/
            ,Etl_First_Dt                                              /*最初入库时间*/
            ,Etl_Job                                                   /*作业名称*/
            ,Etl_Proc_Dt                                               /*本次入库时间*/
            ,Etl_Tx_Dt                                                 /*作业运行时间*/
            ,Src_Sysname                                               /*来源系统*/
            ,Src_Table                                                 /*来源表*/
            
)
SELECT
             P1.message_unique_id                                         /* 消息编号*/
            ,P1.chat_unique_id                                            /*在线客服会话ID*/
            ,P1.sender_id                                                 /*消息发送方ID*/
            ,P1.sender_name                                               /*消息发送方名称*/
            ,P1.sender_type                                               /*消息发送方类型*/
            ,P1.message_type                                              /*消息类型*/
            ,P1.content                                                   /*消息内容*/
            ,P1.file_address                                              /*文件的地址*/
            ,P1.file_name                                                 /*文件名称*/
            ,P1.file_url                                                  /*文件访问路径*/
            ,P1.send_status                                               /*消息发送状态*/
            ,P1.sensitive_word                                            /*敏感词*/
            ,P1.create_time                                               /*消息创建时间戳*/
            ,P1.Etl_Batch_No                                              /*作业批次号*/
            ,P1.Etl_First_Dt                                              /*最初入库时间*/
            ,P1.Etl_Job                                                   /*作业名称*/
            ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
            ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
            ,P1.Src_Sysname                                               /*来源系统*/
            ,P1.Src_Table                                                 /*来源表*/
            
FROM t01_ccc_chat_message_detail_agi_CUR_I P1;
 
;
/*****程序结束退出                                               */
\q

