
create table if not exists p10_sa.S98_S_tr_chat_records_new (
	 main_unique_id  TEXT 
	, app_name  TEXT 
	, start_time  TEXT 
	, end_time  TEXT 
	, session_tags  TEXT 
	, is_valid  TEXT 
	, first_qno  TEXT 
	, first_qname  TEXT 
	, first_cno  TEXT 
	, first_cname  TEXT 
	, has_comment  TEXT 
	, has_agent_ticket  TEXT 
	, open_type_name  TEXT 
	, contact_type_name  TEXT 
	, receive_type_name  TEXT 
	, close_reason_name  TEXT 
	, close_status_name  TEXT 
	, repeat_visit_name  TEXT 
	, is_robot_valid_name  TEXT 
	, is_valid_name  TEXT 
	, total_duration_pretty  TEXT 
	, total_duration  TEXT 
	, queue_duration_pretty  TEXT 
	, queue_duration  TEXT 
	, visitor_id  TEXT 
	, visitor_name  TEXT 
	, customer_name  TEXT 
	, ip  TEXT 
	, province  TEXT 
	, city  TEXT 
	, phone_type_name  TEXT 
	, visitor_extra_info  TEXT 
	, device_type  TEXT 
	, browser  TEXT 
	, operating_system  TEXT 
	, search_word  TEXT 
	, market_keyword  TEXT 
	, first_visit_page_url  TEXT 
	, initiation_page_url  TEXT 
	, referer_url  TEXT 
	, search_engine_name  TEXT 
	, medium  TEXT 
	, plan  TEXT 
	, unit  TEXT 
	, account  TEXT 
	, source  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.main_unique_id IS '在线客服会话ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.app_name IS '接入号名'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.start_time IS '会话开始时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.end_time IS '会话结束时间戳'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.session_tags IS '会话标签'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.is_valid IS '人工有效性'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.first_qno IS '首次进线队列号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.first_qname IS '首次进线队列名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.first_cno IS '首次接待座席号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.first_cname IS '首次接待座席名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.has_comment IS '是否留言'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.has_agent_ticket IS '存在座席创建工单'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.open_type_name IS '会话发起方式解释'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.contact_type_name IS '渠道类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.receive_type_name IS '接待类型名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.close_reason_name IS '结束原因'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.close_status_name IS '结束状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.repeat_visit_name IS '重复进线'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.is_robot_valid_name IS '机器人有效性'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.is_valid_name IS '首次接待座席号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.total_duration_pretty IS '会话时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.total_duration IS '会话时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.queue_duration_pretty IS '排队时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.queue_duration IS '排队时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.visitor_id IS '访客ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.visitor_name IS '访客姓名'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.customer_name IS '客户名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.ip IS 'IP地址'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.province IS '客户省份'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.city IS '客户城市'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.phone_type_name IS '手机类型解释'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.visitor_extra_info IS '访客自定义参数'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.device_type IS '访客设备类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.browser IS '浏览器型号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.operating_system IS '操作系统'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.search_word IS '搜索词'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.market_keyword IS '关键词'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.first_visit_page_url IS '着陆页'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.initiation_page_url IS '会话发起页'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.referer_url IS '来源页'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.search_engine_name IS '搜索引擎'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.medium IS '推广媒介'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.plan IS '推广计划'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.unit IS '推广单元'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.account IS '推广账户'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.source IS '推广来源'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records_new.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_tr_chat_records_new IS '';



create table if not exists p12_sfull.S98_S_tr_chat_records_new (
	 main_unique_id  TEXT 
	, app_name  TEXT 
	, start_time  TEXT 
	, end_time  TEXT 
	, session_tags  TEXT 
	, is_valid  TEXT 
	, first_qno  TEXT 
	, first_qname  TEXT 
	, first_cno  TEXT 
	, first_cname  TEXT 
	, has_comment  TEXT 
	, has_agent_ticket  TEXT 
	, open_type_name  TEXT 
	, contact_type_name  TEXT 
	, receive_type_name  TEXT 
	, close_reason_name  TEXT 
	, close_status_name  TEXT 
	, repeat_visit_name  TEXT 
	, is_robot_valid_name  TEXT 
	, is_valid_name  TEXT 
	, total_duration_pretty  TEXT 
	, total_duration  TEXT 
	, queue_duration_pretty  TEXT 
	, queue_duration  TEXT 
	, visitor_id  TEXT 
	, visitor_name  TEXT 
	, customer_name  TEXT 
	, ip  TEXT 
	, province  TEXT 
	, city  TEXT 
	, phone_type_name  TEXT 
	, visitor_extra_info  TEXT 
	, device_type  TEXT 
	, browser  TEXT 
	, operating_system  TEXT 
	, search_word  TEXT 
	, market_keyword  TEXT 
	, first_visit_page_url  TEXT 
	, initiation_page_url  TEXT 
	, referer_url  TEXT 
	, search_engine_name  TEXT 
	, medium  TEXT 
	, plan  TEXT 
	, unit  TEXT 
	, account  TEXT 
	, source  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.main_unique_id IS '在线客服会话ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.app_name IS '接入号名'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.start_time IS '会话开始时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.end_time IS '会话结束时间戳'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.session_tags IS '会话标签'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.is_valid IS '人工有效性'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.first_qno IS '首次进线队列号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.first_qname IS '首次进线队列名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.first_cno IS '首次接待座席号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.first_cname IS '首次接待座席名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.has_comment IS '是否留言'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.has_agent_ticket IS '存在座席创建工单'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.open_type_name IS '会话发起方式解释'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.contact_type_name IS '渠道类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.receive_type_name IS '接待类型名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.close_reason_name IS '结束原因'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.close_status_name IS '结束状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.repeat_visit_name IS '重复进线'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.is_robot_valid_name IS '机器人有效性'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.is_valid_name IS '首次接待座席号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.total_duration_pretty IS '会话时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.total_duration IS '会话时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.queue_duration_pretty IS '排队时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.queue_duration IS '排队时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.visitor_id IS '访客ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.visitor_name IS '访客姓名'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.customer_name IS '客户名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.ip IS 'IP地址'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.province IS '客户省份'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.city IS '客户城市'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.phone_type_name IS '手机类型解释'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.visitor_extra_info IS '访客自定义参数'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.device_type IS '访客设备类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.browser IS '浏览器型号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.operating_system IS '操作系统'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.search_word IS '搜索词'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.market_keyword IS '关键词'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.first_visit_page_url IS '着陆页'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.initiation_page_url IS '会话发起页'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.referer_url IS '来源页'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.search_engine_name IS '搜索引擎'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.medium IS '推广媒介'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.plan IS '推广计划'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.unit IS '推广单元'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.account IS '推广账户'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.source IS '推广来源'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records_new.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_tr_chat_records_new IS '';

